function P = LEM_network_measures(airways,flights,reservations,t_min,t_max)
%

% max possible flights in lane
hd = reservations(1).hd;
lanes = airways.lanes;
num_lanes = length(lanes(:,1));
P = zeros(num_lanes,5);
lane_lengths = airways.lane_lengths;
for e = 1:num_lanes
    P(e,1) = lane_lengths(e)/hd;
end

% mean number of flights in lane

for e = 1:num_lanes
    e;
    e_flights = reservations(e).flights;
    if ~isempty(e_flights)
        P(e,2) = sum(lane_lengths(e)./e_flights(:,4))/(t_max-t_min);
        P(e,3) = P(e,2)/P(e,1);
    end
end

% spatial density: avg num vehicles in lane / lane length
P(:,3) = P(:,2)./P(:,1);

% spatial flow
P(:,4) = P(:,3)*10;

tch = 0;
