function LEM_show_paths(flights)
% LEM_show_paths - show just selected paths (lanes forming flight path)
% On input:
%     flights (flights struct): flights info
% On output:
%     N/A - draws figure
% Call:
%     LEM_show_paths(f);
% Author:
%     T. Henderson
%     UU
%     Fall 2020
%

num_flights = length(flights);
done = 0;
while done==0
    indexes = input('Flight Indexes: ');
    if isempty(indexes)
        done = 1;
    else
        clf
        plot3(0,0,0,'w.');
        hold on
        num_indexes = length(indexes);
        for k = 1:num_indexes
            route = flights(indexes(k)).route;
            plot3([route(:,1),route(:,4)],[route(:,2),route(:,5)],...
                [route(:,3),route(:,6)],'r');
        end
    end
end
